For the complete documentation index, see llms.txt. This page is also available as Markdown.

Receipt

Receipt

Search for order receipts in all stores on tenant

post
/tenants/{tenantUid}/receipts/search

Optionally narrow down the search to order in given stores and organizatons.

The field orderStatuses can not be used in combination with the fields orderStates, settleStates or deliveryStates.

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Body

Search for order receipts in all stores on tenant.

An empty string will be ignored, and handled as if the key did not exist in the payload.

Fuzzy search means that it will try to find words that contains the query string that is supplied. The search is case-insensitive. Example: If you search for "Ol" you will get "Olsen", "Olstad", "Bolset", "Ormebol", kolstad@example.com, etc ..

storeUidsstring[]Optional
organizationUidsstring[]Optional
customerQuerystringOptional

Search for orders containting this customer. The customer can be specific by firstname, lastname, phonenumber or email. This is a fuzzy search.

customerUidsstring[]Optional
settledAtFromstring · date-timeOptional
orderNumberstringOptional

Search for an order receipt on an order with a specific ordernumber. This is an exact lookup

voucherNumberstringOptionalDeprecated

Deprecated: Use voucherNumbers instead.

voucherNumbersstring[]Optional

Search for multiple order receipts by voucher numbers. This is an exact lookup

productSkusstring[]Optional

Search for order receipts containing the products. These must be SKUs and is an exact lookup.

tenantPaymentMethodUidsstring[]Optional

Search for order receipts containing one of the specified payment methods.

settledAtTostring · date-timeOptional
tenantUserUidsstring[]Optional
querystringOptional

General fuzzy search.

productUidsstring[]Optional
hasUnpaidInvoicesbooleanOptional

When this is set to true, only unpaid receipts/invoices will be in the response.

settlementExternalPaymentReferencesstring[]Optional

Search for receipts with settlement with the specified external payment reference.

Responses
200

Example response

application/json
post/tenants/{tenantUid}/receipts/search
200

Example response

Create new receipt on order

post
/tenants/{tenantUid}/stores/{storeUid}/receipts

Create new receipt on order

Required permissions: SALES_ORDER,RETURN_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Body
orderItemUidsstring[]Optional
settlementUidsstring[]Optional
orderReceiptUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
201

Example response

application/json
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
orderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
orderReceiptUidstringRequiredPattern: ^[A-Za-z0-9-_]+
settleStatestring · enumRequired
ENUMDescription
NOT_STARTEDReceipt not started. No complete settlements exists.
IN_PROGRESSReceipt is in progress. At least one settlement has been started.
COMPLETEReceipt is complete. Sum of settlements = sum of orderlines.
CANCELEDReceipt is canceled. Can only be done if receiptState = NOT_STARTED.
Possible values:
voucherNumberstringRequired
externalVoucherNumberstringRequired
sellerDisplayNamestringRequired
settledAtstring · date-timeRequired
deliveryStatestring · enumRequired
ENUMDescription
NOT_STARTEDDelivery not started
IN_PROGRESSDelivery is in progress. Some order lines are still reserved
COMPLETEDelivery is complete. All order lines are delivered
Possible values:
grandTotalintegerRequired
customerUidstringRequiredPattern: ^[A-Za-z0-9-_]*
notestringRequired
post/tenants/{tenantUid}/stores/{storeUid}/receipts
201

Example response

Get Receipt Details

get
/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}

Get Receipt Details

Required permissions: SALES_ORDER,RETURN_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receiptUidstringRequired

Reference to a Receipt.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
orderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
orderReceiptUidstringRequiredPattern: ^[A-Za-z0-9-_]+
settleStatestring · enumRequired
ENUMDescription
NOT_STARTEDReceipt not started. No complete settlements exists.
IN_PROGRESSReceipt is in progress. At least one settlement has been started.
COMPLETEReceipt is complete. Sum of settlements = sum of orderlines.
CANCELEDReceipt is canceled. Can only be done if receiptState = NOT_STARTED.
Possible values:
voucherNumberstringRequired
externalVoucherNumberstringRequired
sellerDisplayNamestringRequired
settledAtstring · date-timeRequired
deliveryStatestring · enumRequired
ENUMDescription
NOT_STARTEDDelivery not started
IN_PROGRESSDelivery is in progress. Some order lines are still reserved
COMPLETEDelivery is complete. All order lines are delivered
Possible values:
grandTotalintegerRequired
customerUidstringRequiredPattern: ^[A-Za-z0-9-_]*
notestringRequired
get/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}
200

Example response

Update a receipt

put
/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}

Update a receipt

Required permissions: SALES_ORDER,RETURN_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receiptUidstringRequired

Reference to a Receipt.

Pattern: ^[A-Za-z0-9-_]+
Body
externalVoucherNumberstringOptional
Responses
201

Example response

application/json
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
orderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
orderReceiptUidstringRequiredPattern: ^[A-Za-z0-9-_]+
settleStatestring · enumRequired
ENUMDescription
NOT_STARTEDReceipt not started. No complete settlements exists.
IN_PROGRESSReceipt is in progress. At least one settlement has been started.
COMPLETEReceipt is complete. Sum of settlements = sum of orderlines.
CANCELEDReceipt is canceled. Can only be done if receiptState = NOT_STARTED.
Possible values:
voucherNumberstringRequired
externalVoucherNumberstringRequired
sellerDisplayNamestringRequired
settledAtstring · date-timeRequired
deliveryStatestring · enumRequired
ENUMDescription
NOT_STARTEDDelivery not started
IN_PROGRESSDelivery is in progress. Some order lines are still reserved
COMPLETEDelivery is complete. All order lines are delivered
Possible values:
grandTotalintegerRequired
customerUidstringRequiredPattern: ^[A-Za-z0-9-_]*
notestringRequired
put/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}
201

Example response

Delete a receipt

delete
/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}

Delete a receipt

Required permissions: SALES_ORDER,RETURN_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receiptUidstringRequired

Reference to a Receipt.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}
204

No Content

No content

List settlements for a receipt

get
/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/settlements

List settlements for a receipt

Required permissions: SALES_ORDER,RETURN_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receiptUidstringRequired

Reference to a Receipt.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

get/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/settlements
200

Example response

Create new settlement

post
/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/settlements

Create new settlement

Required permissions: SALES_ORDER,RETURN_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receiptUidstringRequired

Reference to a Receipt.

Pattern: ^[A-Za-z0-9-_]+
Body

Create a new settlement

amountintegerRequired

in cents, e.g. 1,50 as 150

externalIdstringOptional

External reference for the settlement

settlementCodestringRequired
settlementUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
201

Example response

application/json
amountintegerRequired
createdAtstring · date-timeRequired
externalIdstringRequired
externalPaymentReferencestringRequired

The external payment reference for this settlement. For invoices, this could contain the KID

idMethodstring · enumRequiredPossible values:
lastModifiedAtstring · date-timeRequired
ledgerNumberstringOptional

Ledger number must be a valid number with possible leading zeros

ledgerTypestring · enumOptional
ENUMDescription
LEDGERLedger
GENERAL_LEDGERGeneral ledger
CUSTOMER_LEDGERCustomer ledger
Possible values:
settledAtstring · date-timeOptional
settlementCodestringRequired
settlementUidstringRequiredPattern: ^[A-Za-z0-9-_]+
settlementNamestringRequired
statestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
tenantUserDisplayNamestringRequired
tenantUserUidstringRequiredPattern: ^[A-Za-z0-9-_]+
storePaymentMethodUidstringRequiredPattern: ^[A-Za-z0-9-_]+
creditCountintegerRequired

Number of credits on this settlement. Only applicable for invoice

creditAmountintegerRequired

The total amount credited. Only applicable for invoice

paymentCountintegerRequired

Number of payments on this settlement. Only applicable for invoice

paymentAmountintegerRequired

The total amount of payments. Only applicable for invoice

tillUidstringOptionalPattern: ^[A-Za-z0-9-_]*
tillNamestringOptional

Display name of the till where the payment was registered.

tillNumberintegerOptional

Till register number where the payment was registered.

storeUidstringRequiredPattern: ^[A-Za-z0-9-_]*
storeNamestringRequired

Display name of the store where the payment was registered.

orderReceiptUidstringRequiredPattern: ^[A-Za-z0-9-_]*
authorizedAmountintegerOptional

The total authorized amount on this settlement, calculated from authorize transactions.

capturedAmountintegerOptional

The total captured amount on this settlement, calculated from capture transactions.

refundedAmountintegerOptional

The total refunded amount on this settlement, calculated from refund transactions.

receiptTextstring · max: 500Required

Text printed on the receipt for this payment method when configured on the tenant payment method. Empty when not set, when suppressed for this settlement type (e.g. store credit, gift cards), or when cleared.

post/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/settlements
201

Example response

Print receipt

post
/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/print

Print receipt

Required permissions: SALES_ORDER,RETURN_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receiptUidstringRequired

Reference to a Receipt.

Pattern: ^[A-Za-z0-9-_]+
Body
typestring · enum · min: 1Required
ENUMDescription
RECEIPTPrint sales receipt
EXCHANGENOTEPrint exchange note
GIFTCARDPrint giftcard barcode
PICKUPPrint a pickup label/note
Possible values:
printerUidstringOptional

The printer to send the print to

Pattern: ^[A-Za-z0-9-_]+
orderItemUidsstring[]Optional
exchangenoteValidUntilstring · dateOptional

Only valid for type EXCHANGENOTE. Sets a date that the exchange note is valid until. If not set, exchangeNoteValidUntil is calculated from the store's exchangeNoteValidDays setting. Stored on all orderItemUids in request, usually only one item.

Responses
204

No Content

No content

post/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/print
204

No Content

No content

Get settlement details

get
/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/settlements/{settlementUid}

Get settlement details

Required permissions: SALES_ORDER,RETURN_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receiptUidstringRequired

Reference to a Receipt.

Pattern: ^[A-Za-z0-9-_]+
settlementUidstringRequired

Reference to a settlement on an order.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
checkStatusbooleanOptional

Check external payment gateways and fetch status

includeDisplayMessagesbooleanOptional

Include display messages in the response

Responses
200

Example response

application/json
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
orderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
orderReceiptUidstringRequiredPattern: ^[A-Za-z0-9-_]+
settleStatestring · enumRequired
ENUMDescription
NOT_STARTEDReceipt not started. No complete settlements exists.
IN_PROGRESSReceipt is in progress. At least one settlement has been started.
COMPLETEReceipt is complete. Sum of settlements = sum of orderlines.
CANCELEDReceipt is canceled. Can only be done if receiptState = NOT_STARTED.
Possible values:
voucherNumberstringRequired
externalVoucherNumberstringRequired
sellerDisplayNamestringRequired
settledAtstring · date-timeRequired
deliveryStatestring · enumRequired
ENUMDescription
NOT_STARTEDDelivery not started
IN_PROGRESSDelivery is in progress. Some order lines are still reserved
COMPLETEDelivery is complete. All order lines are delivered
Possible values:
grandTotalintegerRequired
customerUidstringRequiredPattern: ^[A-Za-z0-9-_]*
notestringRequired
get/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/settlements/{settlementUid}
200

Example response

Delete a settlement

delete
/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/settlements/{settlementUid}

Delete a settlement

Required permissions: SALES_ORDER,RETURN_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receiptUidstringRequired

Reference to a Receipt.

Pattern: ^[A-Za-z0-9-_]+
settlementUidstringRequired

Reference to a settlement on an order.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
forceDeletebooleanOptional

Force Delete on a settlement

Responses
204

No Content

No content

delete/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/settlements/{settlementUid}
204

No Content

No content

Get EHF invoice status

get
/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/ehf

Check the status for an EHF invoice.

Required permissions: SALES_ORDER,RETURN_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receiptUidstringRequired

Reference to a Receipt.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
voucherNumberstringRequired
orderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
orderNumberstringRequired
orderSettlementUidstringRequiredPattern: ^[A-Za-z0-9-_]+
statusOkbooleanRequired
statusAtstring · date-timeRequired
statusMessagestringRequired
get/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/ehf
200

Example response

Send EHF invoice

post
/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/ehf

An EHF invoice is normally sent automatically upon order settlement completion, but here you can try an send it again if it failed the first time. If sending succeeds, the status is also checked.

Required permissions: SALES_ORDER,RETURN_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receiptUidstringRequired

Reference to a Receipt.

Pattern: ^[A-Za-z0-9-_]+
Responses
201

Example response

application/json
voucherNumberstringRequired
orderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
orderNumberstringRequired
orderSettlementUidstringRequiredPattern: ^[A-Za-z0-9-_]+
statusOkbooleanRequired
statusAtstring · date-timeRequired
statusMessagestringRequired
post/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/ehf
201

Example response

Send receipt by email

post
/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/email

Send receipt by email

Required permissions: SALES_ORDER,RETURN_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receiptUidstringRequired

Reference to a Receipt.

Pattern: ^[A-Za-z0-9-_]+
Body

ReceiptEmailSchema

typestring · enum · min: 1Required
ENUMDescription
RECEIPTSend sales receipt as email
Possible values:
emailstringRequired
Responses
204

No Content

No content

post/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/email
204

No Content

No content

Get receipt PDF

post
/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/pdf

Get receipt PDF as direct download.

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receiptUidstringRequired

Reference to a Receipt.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

OK

application/pdf
string · binaryOptional
post/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/pdf
200

OK

Last updated